<template>
    <Modal
        :show="show"
        hide-header
        hide-footer
        size="small"
        :title="title"
        :content-class="['modal_confirm', 'modal_blue_close_btn', customClass]"
        :close-button="{width: '12px', height: '12px', src: '/images/close-gray.svg'}"
        @close="close"
    >
        <span class="desc">{{ desc }}</span>
        <div class="d-flex align-items-center">
            <b-button
                variant="outline-primary"
                class="btn"
                @click="close('cancel')"
            >
                {{ buttonCancel }}
            </b-button>
            <b-button
                variant="primary"
                class="btn btn_confirm"
                :class="{'loading-xs': loading}"
                @click="$emit('confirm')"
            >
                <template v-if="!loading">
                    {{ buttonConfirm }}
                </template>
            </b-button>
        </div>
    </Modal>
</template>

<script>
import Modal from '@/components/elements/Modal'

export default {
    components: {
        Modal
    },
    props: {
        show: null, 
        desc: null,
        title: null,
        customClass: null,
        loading: Boolean,
        buttonConfirm: {
            type: String,
            default: 'Confirm'
        },
        buttonCancel: {
            type: String,
            default: 'Cancel'
        }
    },
    methods: {
        close(event) {
            this.$emit('close', event)
        }
    }
}
</script>

<style scoped lang="scss">
.desc {
    font-size: 12px;
    line-height: 14px;
    color: #7A7A7A;
}
.btn {
    width: 121px;
    height: 36px;
    margin-top: 21px;
    &_confirm {
        margin-left: 16px;
    }
}
.btn-outline-primary {
    &:hover, &:active {
    color: #007bff;
    background-color: #fff;
    border-color: #007bff;
    }
}
</style>

<style lang="scss">
.modal_confirm {
    width: 290px;
    left: 50%;
    transform: translateX(-50%);
    .modal-popup-header {
        border: none;
    }
    .popup-header-text {
        padding-top: 14px;
        font-weight: 500;
        font-size: 20px;
        line-height: 23px;
    }
    .modal-popup-body {
        padding: 2px 16px 16px;
    }
}
.modal_blue_close_btn {
    .close-container {
        background: #4786FF;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 26px;
        height: 26px;
    }
    .close-button {
        right: 0;
        top: -1px;
        position: relative;
        width: 80%;
    }
}
</style>